Get organization by EIN
curl --request GET \
--url https://api.endaoment.org/v1/orgs/ein/{ein}import requests
url = "https://api.endaoment.org/v1/orgs/ein/{ein}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endaoment.org/v1/orgs/ein/{ein}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/orgs/ein/{ein}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/orgs/ein/{ein}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v1/orgs/ein/{ein}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/orgs/ein/{ein}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
],
"compliant": true,
"isCompliant": true,
"nonComplianceReasons": null,
"lifetimeContributionsUsdc": "1000000",
"usdcBalance": "2000000",
"financials": {
"form990FiscalYear": null,
"summary": {
"totalLiabilities": null,
"totalAssets": null,
"contributionsAll": null,
"totalExpenses": null,
"totalRevenue": null,
"netIncome": null
},
"expenses": {}
},
"socials": {
"twitter": null,
"facebook": null,
"linkedin": null,
"instagram": null
},
"paypalId": null,
"partnerId": null,
"donationsReceived": 42,
"grantsReceived": 7
}Nonprofit Organizations
Get organization by EIN
deprecated
Returns organization details for an EIN, with or without the hyphen. Deprecated: use GET /orgs/, which takes an EIN or an organization id. No authentication is required.
GET
/
v1
/
orgs
/
ein
/
{ein}
Get organization by EIN
curl --request GET \
--url https://api.endaoment.org/v1/orgs/ein/{ein}import requests
url = "https://api.endaoment.org/v1/orgs/ein/{ein}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endaoment.org/v1/orgs/ein/{ein}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/orgs/ein/{ein}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/orgs/ein/{ein}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v1/orgs/ein/{ein}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/orgs/ein/{ein}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
],
"compliant": true,
"isCompliant": true,
"nonComplianceReasons": null,
"lifetimeContributionsUsdc": "1000000",
"usdcBalance": "2000000",
"financials": {
"form990FiscalYear": null,
"summary": {
"totalLiabilities": null,
"totalAssets": null,
"contributionsAll": null,
"totalExpenses": null,
"totalRevenue": null,
"netIncome": null
},
"expenses": {}
},
"socials": {
"twitter": null,
"facebook": null,
"linkedin": null,
"instagram": null
},
"paypalId": null,
"partnerId": null,
"donationsReceived": 42,
"grantsReceived": 7
}Path Parameters
Response
Organization details
Was this page helpful?